%voorbeeldprogramma voor het aanmaken, importeren en visualiseren van gegevens in Matlab

% aanmaken van gesimuleerde gegevens voor respons van een RC laagdoorlaatcircuit:

versie=1;

tekstlijn=['Matlab-voorbeeldprogramma-RC-keten14022008 ',int2str(versie),' datum : ',date];

freqvec=logspace(1,4,1000)';	%het transponeerteken is om een rij om te zetten naar een kolom

R=100e3;
C=15e-9;
RC=R*C;
omega0=1/RC;			%verwijder puntkomma teken indien je de waarde van omega0 wil afgedrukt zien op het scherm

omegavec=2*pi*freqvec;


S=RC_funktie(omegavec,omega0);	%hier wordt S berekend via de funktie RC_funktie.m
 
 
A=abs(S);			%amplitude van S
FI=unwrap(angle(S))*180/pi;	%faze van S in graden, met eventuele 2*pi sprongen weggenomen


%inladen van numerische gegevens

XX=load('experimentele_gegevens.txt');
freqexp=XX(:,1);		%1e kolom
Aexp=XX(:,2);			%2de kolom
FIexp=XX(:,3);			%3e kolom



% plotten van grafieken

figure(1);
subplot(2,1,1);
loglog(freqvec,A,'-b',freqexp,Aexp,'or');
zoom on;
ylabel('amplitudeverhouding(tss uit-en ingangsspanningsamplitude)');
title(tekstlijn);
subplot(2,1,2);
semilogx(freqvec,FI,'-b',freqexp,FIexp,'or');
zoom on;
ylabel('fazeverschil (graden)');
xlabel('frequentie (Hz)');

saveas(gcf,'resultaatgrafiek','jpg');		%opslaan van figuur voor import in andere programma's
saveas(gcf,'resultaatgrafiek','fig');		%opslaan van figuur voor toekomstige her-import in Matlab


%bewaren van gegevens

YY=[freqvec,A,FI];

save 'gesimuleerde_gegevens.txt' YY -ascii -tabs







